Skip to main content
GET
/
v1
/
templates
/
{template_id}
Retrieve a customization template
curl --request GET \
  --url https://prod.truv.com/v1/templates/{template_id}/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "id": "48427a36d43c4d5aa6324bc06c692456",
  "name": "My template",
  "products": [
    "income"
  ],
  "default_for_products": true,
  "created_at": "2022-05-04T11:30:00.000Z",
  "updated_at": "2022-05-04T12:00:00.000Z",
  "bridge": {},
  "branding": {},
  "orders": {},
  "document_upload": {},
  "data": {},
  "reports": {
    "hidden_sections": {
      "deposits": true,
      "large_deposits": true,
      "historical_payment_summary": true
    },
    "days_requested": 60,
    "large_deposit_threshold": 500,
    "transaction_categories": [
      "Food & Dining",
      "Travel",
      "Shopping"
    ],
    "transaction_account_types": [
      "CHECKING",
      "SAVINGS"
    ],
    "transaction_account_subtypes": [
      "FIXED_ANNUITY",
      "LOCKED_IN_RETIREMENT_ACCOUNT",
      "PLAN_401_A"
    ],
    "income_insights": {
      "days_requested": 60,
      "consumer_report_permissible_purpose": "WRITTEN_INSTRUCTION_OTHER"
    }
  }
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

template_id
string
required

Response

id
string
required
read-only

Unique identifier of the template.

Maximum string length: 32
Example:

"48427a36d43c4d5aa6324bc06c692456"

name
string
default:My template
required

Template name

Maximum string length: 128
products
enum<string>[]
required

Products list this template applies to

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets,
admin
default_for_products
boolean
required

If enabled, the template will be applied for the products by default

created_at
string<date-time>
required
read-only

Timestamp when the template was created.

Example:

"2022-05-04T11:30:00.000Z"

updated_at
string<date-time>
required
read-only

Timestamp when the template was updated last time.

Example:

"2022-05-04T12:00:00.000Z"

bridge
object

Settings for bridge

branding
object

Settings for branding

orders
object

Settings for orders

document_upload
object

Settings for document upload

data
object

Settings for returned documents data

reports
object

Settings for reports